Loading...
Searching...
No Matches
AVVideoHint Struct Reference

`#include <libavutil/video_hint.h>`

## Data Fields

size_t | nb_rects
| Number of AVVideoRect present.
size_t | rect_offset
| Offset in bytes from the beginning of this structure at which the array of AVVideoRect starts.
size_t | rect_size
| Size in bytes of AVVideoRect.
AVVideoHintType | type

## Detailed Description

Definition at line 42 of file video_hint.h.

## Field Documentation

## nb_rects

size_t AVVideoHint::nb_rects

Number of AVVideoRect present.

May be 0, in which case no per-rectangle information is present. In this case the values of rect_offset / rect_size are unspecified and should not be accessed.

Definition at line 50 of file video_hint.h.

## rect_offset

size_t AVVideoHint::rect_offset

Offset in bytes from the beginning of this structure at which the array of AVVideoRect starts.

Definition at line 56 of file video_hint.h.

Referenced by av_video_hint_get_rect(), and av_video_hint_rects().

## rect_size

size_t AVVideoHint::rect_size

Size in bytes of AVVideoRect.

Definition at line 61 of file video_hint.h.

Referenced by av_video_hint_get_rect().

## type

AVVideoHintType AVVideoHint::type

Definition at line 63 of file video_hint.h.

The documentation for this struct was generated from the following file:

- libavutil/video_hint.h